package com.notificationFramework.stimulusStrategy;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.IBinder;
import android.support.annotation.Nullable;

/**
 * Created by Peter De Jonckheere on 13/02/2018.
 */

public class StepCounter extends Service implements SensorEventListener {

    private Sensor stepCounter;
    static float stepCount;
    static long timestamp;
    private SensorManager mSensorManager;


    @Override
    public int onStartCommand(Intent intent, int flags, int startId){
        mSensorManager = (SensorManager) this.getSystemService(Context.SENSOR_SERVICE);
        stepCounter = mSensorManager.getDefaultSensor(Sensor.TYPE_STEP_COUNTER);
        mSensorManager.registerListener(this, stepCounter, 600000000);
        return START_STICKY;
    }



    @Override
    public void onSensorChanged(SensorEvent event) {
        stepCount = event.values[0];
        timestamp = event.timestamp/1000000000;
    }

    @Override
    public void onAccuracyChanged(Sensor sensor, int i) {

    }

    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
